<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Country extends Model
{
    protected $fillable = [
        'internal_name',
        'name',
        'country_code',
        'continent_id',
    ];
    public $timestamps = false;

    public function continent(): BelongsTo
    {
        return $this->belongsTo(Continent::class);
    }

    public function tours(): BelongsToMany
    {
        return $this->belongsToMany(Tour::class, 'tour_countries', 'country_id', 'tour_id');
    }
}
